/* LINK GOOGLE FONTS - POPPINS --> */
@import url('https://fonts.googleapis.com/css2?family=Heebo:wght@500&family=League+Gothic&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url('./img/wallpapersden.com_mountain-minimalist-night_3840x2160.jpg');
    background-size: cover;
    background-position: center;
}


.container {
    width: 420px;
    background-color: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    border-radius: 10px;
    color: #fff;
    padding: 30px 40px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .2); 
    backdrop-filter: blur(50px);

    & h1{
        font-size: 36px;
        text-align: center;
    }

    & .input-box{
        position: relative;
        width: 100%;
        height: 50px;
        margin: 30px 0;

        & input{
            width: 100%;
            height: 100%;
            background-color: transparent;
            border: 2px solid rgba(255, 255, 255, .2);
            border-radius: 40px;
            outline: none;
            font-size: 16px;
            color: #fff;
            padding: 20px 45px 20px 20px;
        }

        & input::placeholder{
            color: #c5c5c5;
        }

        & i{
            position: absolute;
            right: 20px;
            top: 50%;
            transform: translateY(-50%);
            font-size: 20px;
        }
    }
}

.remember-forgot {
    display: flex;
    justify-content: space-between;
    margin: -15px 0 15px;

    & label input{
        accent-color: #fff;
        margin-right: 5px;
        accent-color: #35168a;
    }

    & a {
        text-decoration: none;
        color: #fff;
    }

    & a:hover{
        text-decoration: underline;
    }
}

.login{
    width: 100%;
    height: 50px;
    background-color: #fff;
    border: none;
    border-radius: 40px;
    cursor: pointer;
    font-size: 16px;
    color: #333;
    font-weight: 600;
    box-shadow: 0 0 10px rgba(0, 0, 0, .1);
    margin-top: 20px;
}

.login:hover{
    background-color: transparent;
    border: 2px solid rgba(255, 255, 255, .2);
    color: #fff;
    transition: 0.5s;
    transform: translateY(-5px);
}

.register-link{
    font-size: 14px;
    text-align: center;
    margin: 20px 0 15px;

    & a{
        text-decoration: none;
        color: #fff;
        font-weight: 600;
    }

    & a:hover{
        text-decoration: underline;
    }
}

/* RESPONSIVIDADE */

@media(max-width: 740px){
    .container{
        width: 340px;
    }
}